Changes required to make the build on Ubuntu 10.04 easy.

Bug #569895 reported by Johannes Roith on 2010-04-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenMapi.org
High
Johannes Roith

Bug Description

For 0.1 to be released the build process should be improved on Ubuntu:

- The build must work on Ubuntu 10.04
- The build script should check for missing mono dependencies and print meaningful errors.

- We might want to import Mono.Cecil 0.9 into nmapi/libs.
- The calls to xsltproc must be replaced by a call to a Mono-based xslt-processor; We can either output an assembly for this is an erlier build step or make a build-task available (see next).
- It would be nice to actually remove the Makefile in favour of an xbuild-based build script.

- Some wrapper scripts for the executables should be generated.
- There should be a script to prepare an ubuntu package of openmapi and also have to option to install the OpenMapi RPC server as a system service (by default, only accepting local connections!)

Johannes Roith (jroith) on 2010-04-25
Changed in openmapi:
assignee: nobody → Johannes Roith (jroith)
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers